/*
***************************************************************************
*
* Author: Teunis van Beelen
*
* Copyright (C) 2007, 2008, 2009 Teunis van Beelen
*
* teuniz@gmail.com
*
***************************************************************************
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation version 2 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
***************************************************************************
*
* This version of GPL is at http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
*
***************************************************************************
*/




#ifndef OPTIONSFORM1_H
#define OPTIONSFORM1_H



#include <QApplication>
#include <QObject>
#include <QWidget>
#include <QDialog>
#include <QTabWidget>
#include <QPushButton>
#include <QLabel>
#include <QColorDialog>
#include <QColor>
#include <QSpinBox>
#include <QPalette>
#include <QCheckBox>

#include "global.h"
#include "mainwindow.h"
#include "colordialog.h"
#include "special_button.h"



class UI_Mainwindow;



class UI_OptionsDialog : public QObject
{
  Q_OBJECT

public:
  UI_OptionsDialog(QWidget *parent=0);

  UI_Mainwindow *mainwindow;


private:

QDialog        *optionsdialog;

QTabWidget     *tabholder;

QWidget        *tab1,
               *tab2;

QPushButton    *CloseButton,
               *DefaultButton,
               *ApplyButton;

SpecialButton  *BgColorButton,
               *SrColorButton,
               *BrColorButton,
               *MrColorButton,
               *TxtColorButton,
               *SigColorButton,
               *BaseColorButton,
               *Crh1ColorButton,
               *Crh2ColorButton,
               *FrColorButton,
               *AnnotMkrButton,
               *label2_1;

QLabel         *label1,
               *label2,
               *label3,
               *label4,
               *label5,
               *label6,
               *label7,
               *label8,
               *label9,
               *label10,
               *label11,
               *label12,
               *label2_2;

QSpinBox       *spinbox;

QCheckBox      *checkbox1,
               *checkbox2,
               *checkbox3;


private slots:

void BgColorButtonClicked();
void SrColorButtonClicked();
void BrColorButtonClicked();
void MrColorButtonClicked();
void TxtColorButtonClicked();
void SigColorButtonClicked();
void BaseColorButtonClicked();
void Crh1ColorButtonClicked();
void Crh2ColorButtonClicked();
void FrColorButtonClicked();
void AnnotMkrButtonClicked();
void checkbox1Clicked(int);
void checkbox2Clicked(int);
void checkbox3Clicked(int);
void DefaultButtonClicked();
void ApplyButtonClicked();

};



#endif // OPTIONSFORM1_H


